Package org.apache.bcel.classfile

# Class MethodParameters

java.lang.Object
org.apache.bcel.classfile.Attribute
org.apache.bcel.classfile.MethodParameters

All Implemented Interfaces:
  `Cloneable`, `Iterable<MethodParameter>`, `Node`

public class MethodParameters extends Attribute implements Iterable<MethodParameter>
This class represents a MethodParameters attribute.

Since:
  6.0
See Also:
  - The class File Format : The MethodParameters Attribute

- ## Field Summary

  ### Fields inherited from class org.apache.bcel.classfile.Attribute

  `constant_pool, EMPTY_ARRAY, length, name_index, tag`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `accept(Visitor v)`
  Called by objects that are traversing the nodes of the tree implicitly defined by the contents of a Java class.
  `Attribute`
  `copy(ConstantPool constantPool)`
  `void`
  `dump(DataOutputStream file)`
  Dump method parameters attribute to file stream in binary format.
  `MethodParameter[]`
  `getParameters()`
  `Iterator<MethodParameter>`
  `iterator()`
  `void`
  `setParameters(MethodParameter[] parameters)`

  ### Methods inherited from class org.apache.bcel.classfile.Attribute

  `addAttributeReader, addAttributeReader, clone, getConstantPool, getLength, getName, getNameIndex, getTag, println, readAttribute, readAttribute, removeAttributeReader, setConstantPool, setLength, setNameIndex, toString`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

- ## Method Details

  - ### accept

    public void accept(Visitor v)
    Description copied from class: `Attribute`
    Called by objects that are traversing the nodes of the tree implicitly defined by the contents of a Java class. I.e., the hierarchy of methods, fields, attributes, etc. spawns a tree of objects.
    Specified by:
      `accept` in interface `Node`
    Specified by:
      `accept` in class `Attribute`
    Parameters:
      `v` - Visitor object

  - ### copy

    public Attribute copy(ConstantPool constantPool)
    Specified by:
      `copy` in class `Attribute`
    Parameters:
      `constantPool` - constant pool to save.
    Returns:
      deep copy of this attribute.

  - ### dump

    public void dump(DataOutputStream file) throws IOException
    Dump method parameters attribute to file stream in binary format.
    Overrides:
      `dump` in class `Attribute`
    Parameters:
      `file` - Output file stream
    Throws:
      `IOException` - if an I/O error occurs.

  - ### getParameters

    public MethodParameter[] getParameters()

  - ### iterator

    public Iterator<MethodParameter> iterator()
    Specified by:
      `iterator` in interface `Iterable<MethodParameter>`

  - ### setParameters

    public void setParameters(MethodParameter[] parameters)